/*********************************************************************
*                                                                    *          
*                              FLY                                   *
*                           --E#Y#E--				     *
*                         ===MUSCLE===                               *
*                                                                    *
*********************************************************************/
#ifndef FPS_H_
#define FPS_H_
/* Header Files */
#include <cstdio>
#include <cstdlib>
#include <sys/time.h>

//---------------------------------------------------------------------------

class FPS
{
public:
	float fpse;
	void CalculateFPS();
	void InitTimeCounter();
	void UpdateTimeCounter();

private:
	struct timeval  tv;
	struct timeval tv0;
	float TimeCounter;
	float LastFrameTimeCounter;
	float m_rotation;
	float dt;
	int FramesPerFPS;	
};

//---------------------------------------------------------------------------

#endif
